import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

__tag__ = "0.0.10a173"
__build__ = 173
__version__ = "{}".format(__tag__)

setuptools.setup(
    name="binalyzer",
    version=__version__,
    author="Denis Vasilìk",
    author_email="contact@denisvasilik.com",
    url="https://www.denisvasilik.com/binalyzer",
    project_urls={
        "Bug Tracker": "https://github.com/denisvasilik/binalyzer/issues/",
        "Documentation": "https://binalyzer.readthedocs.io/en/latest/",
        "Source Code": "https://github.com/denisvasilik/binalyzer/",
    },
    description="Binary Data Analyzer",
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3.6",
        "Operating System :: OS Independent",
    ],
    dependency_links=[],
    package_dir={"binalyzer": "binalyzer"},
    package_data={},
    data_files=[("", ["CHANGELOG.md"])],
    setup_requires=[],
    install_requires=[
        "binalyzer-core",
        "binalyzer-cli",
        "binalyzer-data_provider",
        "binalyzer-template-provider",
        "binalyzer-rest",
        "binalyzer-wasm",
    ],
    entry_points={"console_scripts": ["binalyzer = binalyzer.cli:main"]},
)
